Commit a3cbb0d5 authored by gerd's avatar gerd

Updated.


git-svn-id: https://godirepo.camlcity.org/svn/lib-xstrp4/trunk@12 56444827-45db-0310-81c6-95464f7ca4c4
parent 0f93e9d5
version = "1.1"
version = "1.2"
requires = "camlp4"
# This line counts when the compiler is invoked with
......
......@@ -34,9 +34,7 @@ view.sample:
# general rules:
OPTIONS =
CAMLP4 = camlp4 $(ROPTIONS) pa_o.cmo pa_extend.cmo q_MLast.cmo pr_dump.cmo
OCAMLC = ocamlc $(OPTIONS) $(ROPTIONS) -pp '$(CAMLP4)'
OCAMLOPT = ocamlopt $(OPTIONS) $(ROPTIONS)
OCAMLC = $(OCAMLFIND) ocamlc $(OPTIONS) -package camlp4 -syntax camlp4o -ppopt pa_extend.cmo -ppopt q_MLast.cmo
OCAMLDEP = ocamldep $(OPTIONS)
OCAMLFIND = ocamlfind
......@@ -45,10 +43,6 @@ OCAMLFIND = ocamlfind
*.mli:
depend.pkg: Makefile
echo "ROPTIONS=-I "`camlp4 -where` >depend.pkg
#$(OCAMLFIND) use -p ROPTIONS= $(REQUIRES) >depend.pkg
.PHONY: install
install: all
$(OCAMLFIND) install $(NAME) *.cmi *.cma META
......@@ -99,6 +93,3 @@ xstrp4_here_lexer.cmo: xstrp4_here_types.cmo xstrp4_here_types.cmi
xstrp4_here_lexer.cmi: xstrp4_here_types.cmi
xstrp4_here.cmo: xstrp4_here_lexer.cmo xstrp4_here_lexer.cmi
xstrp4_here.cmi: xstrp4_here_lexer.cmi
#include depend
include depend.pkg
......@@ -25,6 +25,10 @@ See sample.ml for explanations. See the Makefile how to compile sample.ml.
CHANGES:
Changed in version 1.2:
The printf qualifiers L, l, n are now supported, e.g.
${x,%ld} for an int32 variable x. (Suggested by Nadj.)
Changed in version 1.0:
Support for findlib-0.4
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment